# fn() isAnsiColorTerminal
Check whether we are printing to a terminal that supports ANSI color codes.

Defined in | <seqan/misc/terminal.h>
Signature | `bool isAnsiColorTerminal();`

## Return Values

`bool` | true if we are in a terminal and the terminal interprets ANSI color code.

## Detailed Description

### Remarks

Currently, we assume that UNIX terminals support color while Windows terminals and non-terminals do not.

## Data Races

Thread safety unknown!

## See Also

- getTerminalSize
- isTerminal

#### Dox Sources

    /*!
     * @fn isAnsiColorTerminal
     *
     * @headerfile <seqan/misc/terminal.h>
     *
     * @brief Check whether we are printing to a terminal that supports ANSI color
     *        codes.
     *
     * @signature bool isAnsiColorTerminal();
     *
     * @return bool true if we are in a terminal and the terminal interprets ANSI
     *              color code.
     *
     * @section Remarks
     *
     * Currently, we assume that UNIX terminals support color while Windows
     * terminals and non-terminals do not.
     *
     * @see isTerminal
     * @see getTerminalSize
     */